Loading...
Searching...
No Matches
memdesc.h File Reference
Base API

Memory description functions. More...

`#include <l4/sys/kip.h>`
Include dependency graph for memdesc.h:

Go to the source code of this file.

## Data Structures

struct | l4_kernel_info_mem_desc_t
| Memory descriptor data structure. More...

## Typedefs

typedef struct l4_kernel_info_mem_desc_t | l4_kernel_info_mem_desc_t
| Memory descriptor data structure.

## Enumerations

enum | l4_mem_type_t { l4_mem_type_undefined = 0x0 , l4_mem_type_conventional = 0x1 , l4_mem_type_reserved = 0x2 , l4_mem_type_dedicated = 0x3 , l4_mem_type_shared = 0x4 , l4_mem_type_info = 0xd , l4_mem_type_bootloader = 0xe , l4_mem_type_archspecific = 0xf }
| Type of a memory descriptor. More...
enum | l4_mem_info_sub_type_t { l4_mem_info_acpi_rsdp = 0 }
| Memory sub types for l4_mem_type_info descriptors. More...
enum | l4_mem_archspecific_sub_type_common_t { l4_mem_archspecific_acpi_tables = 3 , l4_mem_archspecific_acpi_nvs = 4 }
| Memory sub types for l4_mem_type_archspecific descriptors. More...

## Functions

l4_kernel_info_mem_desc_t * | l4_kernel_info_get_mem_descs (l4_kernel_info_t *kip) L4_NOTHROW
| Get pointer to memory descriptors from KIP.
unsigned | l4_kernel_info_get_num_mem_descs (l4_kernel_info_t *kip) L4_NOTHROW
| Get number of memory descriptors in KIP.
void | l4_kernel_info_set_mem_desc (l4_kernel_info_mem_desc_t *md, l4_addr_t start, l4_addr_t end, unsigned type, unsigned virt, unsigned sub_type) L4_NOTHROW
| Populate a memory descriptor.
l4_umword_t | l4_kernel_info_get_mem_desc_start (l4_kernel_info_mem_desc_t *md) L4_NOTHROW
| Get start address of the region described by the memory descriptor.
l4_umword_t | l4_kernel_info_get_mem_desc_end (l4_kernel_info_mem_desc_t *md) L4_NOTHROW
| Get end address of the region described by the memory descriptor.
l4_umword_t | l4_kernel_info_get_mem_desc_type (l4_kernel_info_mem_desc_t *md) L4_NOTHROW
| Get type of the memory region.
l4_umword_t | l4_kernel_info_get_mem_desc_subtype (l4_kernel_info_mem_desc_t *md) L4_NOTHROW
| Get sub-type of memory region.
l4_umword_t | l4_kernel_info_get_mem_desc_is_virtual (l4_kernel_info_mem_desc_t *md) L4_NOTHROW
| Get virtual flag of the memory descriptor.

## Detailed Description

Memory description functions.

Definition in file memdesc.h.